Managed Service for MySQL API, REST: Database.List
Retrieves the list of databases in a cluster.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-mysql/v1/clusters/{clusterId}/databases
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the cluster to list databases in. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token that can be used to iterate through multiple pages of results. The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"databases": [
{
"name": "string",
"clusterId": "string",
"deletionProtectionMode": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
databases[] |
List of databases. |
|
nextPageToken |
string The token that can be used to get the next page of results. |
Database
An object that represents MySQL database.
See the documentation for details.
|
Field |
Description |
|
name |
string Name of the database. |
|
clusterId |
string ID of the cluster that the database belongs to. |
|
deletionProtectionMode |
enum (DeletionProtectionMode) Deletion Protection inhibits deletion of the database
|